<div align="right" style="font-size: 1vw;">
    <a href="../orders_shipped/mark_shipped_orders.php">Mark Shipped Orders</a>
</div>
<div class="table-container">
    <table class="table table-bordered">
        <colgroup>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
        </colgroup>
        <thead>
            <tr>
                <th style="min-width: 190px"><b>Order No</b></th>
                <th style="width: 100px !important; min-width: 100px"><b>Sequence</b></th>
                <th style="min-width: 110px"><b>Order Status</b></th>
                <th style="min-width: 110px"><b>Order Type</b></th>
                <th style="min-width: 140px"><b>Ship By Date</b></th>
                <th style="min-width: 110px"><b>Order In Date</b></th>
                <th style="min-width: 110px"><b>Earliest Ship Date</b></th>
                <th style="min-width: 110px"><b>ETD</b></th>
                <th style="min-width: 110px"><b>Deliver By Date</b></th>
                <th style="min-width: 110px"><b>Expedited Shipping</b></th>
                <th style="min-width: 110px"><b>Transit Days</b></th>
                <th style="min-width: 110px" class="expandable" id="expand" onclick="expandColumn()"
                    style="cursor: pointer;"><b>Help</b></th>
                <th style="min-width: 110px" style="display: none;" id="expandablefield1"><b>Notes</b>
                </th>
                <th style="min-width: 110px" style="display: none;" id="expandablefield2"><b>Need Help
                        From</b></th>
            </tr>
        </thead>
        <tbody *ngFor="let row of tableData">
            <tr>
                <td style="color: blue; cursor: pointer">
                    <a (click)="onOrderIdClick(row.document_number)">
                        {{ row.document_number }}
                    </a>
                </td>
                <td>{{ row.sequence}}
                </td>
                <td>{{ row.status}}
                </td>
                <td>{{ row.order_type}}
                </td>
                <td>{{ row.ship_by_date}}
                </td>
                <td>
                </td>
                <td>{{ row.earliest_ship_date}}
                </td>
                <td>{{ row.ETD}}
                </td>
                <td>{{ row.delivery_requested_by_date}}
                </td>
                <td>
                </td>
                <td>{{ row.transit_days}}
                </td>
                <td>Help</td>
            </tr>
        </tbody>
    </table>
</div>
<app-legend></app-legend>